<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Product list toolbar
 *
 * @var $block \Magento\Catalog\Block\Product\ProductList\Toolbar
 */
use Magento\Catalog\Model\Product\ProductList\Toolbar;
?>
<div class="toolbar-sorter sorter">
    <div class="form-item-select row">
        <div class="col-sm-4 sorter-hidden" style="opacity: 0;visibility: hidden;">
      		<select id="sorter" data-role="sorter" class="sorter-options">
      			<?php foreach ($block->getAvailableOrders() as $_key => $_order): ?>
      				<option value="<?php /* @escapeNotVerified */ echo $_key; ?>"
      					<?php if ($block->isOrderCurrent($_key)): ?>
      						selected="selected"
      					<?php endif; ?>
      					>
      					<?php /* @escapeNotVerified */ echo __('Sort by') ?> <?php echo $block->escapeHtml(__($_order)) ?>
      				</option>
      			<?php endforeach; ?>
      		</select>
        </div>
        <div class="col-sm-4 sorter-data">
    <ul class="nav nav-tabs">
      <li role="presentation" class="dropdown">
    	<a id="sortbyid" class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><span id="recomnded">Recommended</span><span class="fa fa-angle-down"></span>
    	</a>
    	<ul class="dropdown-menu">
          <?php foreach ($block->getAvailableOrders() as $_key => $_order): ?>
              <li <?php if ($block->isOrderCurrent($_key)): ?>
                  class="active"
              <?php endif; ?>
              >
                <a data-label="<?php echo $_order; ?>" data-id="<?php echo $_key; ?>" href="javascript:void(0);" data-link="<?php /* @escapeNotVerified */ echo $_key; ?>"

                  <?php if ($block->isOrderCurrent($_key)): ?>
                      class="active"
                  <?php endif; ?>
                  >
                  <?php echo $block->escapeHtml(__($_order)) ?>
                  </a>
              </li>
          <?php endforeach; ?>
        </ul>
      </li>
    </ul>
</div>


	</div>
    <?php if ($block->getCurrentDirection() == 'desc'): ?>
        <a title="<?php /* @escapeNotVerified */ echo __('Set Ascending Direction') ?>" href="#" class="action sorter-action sort-desc hide" data-role="direction-switcher" data-value="asc">
            <span><?php /* @escapeNotVerified */ echo __('Set Ascending Direction') ?></span>
        </a>
    <?php else: ?>
        <a title="<?php /* @escapeNotVerified */ echo __('Set Descending Direction') ?>" href="#" class="action sorter-action sort-asc hide" data-role="direction-switcher" data-value="desc">
            <span><?php /* @escapeNotVerified */ echo __('Set Descending Direction') ?></span>
        </a>
    <?php endif; ?>
</div>
<script type="text/javascript">
    require(['jquery'], function ($) {
     /* alert($('.toolbar-sorter').find('.dropdown-menu .active').text());
      alert('<?php echo $this->getCurrentOrder(); ?>');*/
      if('<?php echo $this->getCurrentOrder(); ?>' == 'new_old'){
        $('#recomnded').text('New to Old');
      }else if('<?php echo $this->getCurrentOrder(); ?>' == 'price_desc'){
        $('#recomnded').text('Price: High to Low');
      }else if('<?php echo $this->getCurrentOrder(); ?>' == 'price_asc'){
        $('#recomnded').text('Price: Low to High');
      }else if('<?php echo $this->getCurrentOrder(); ?>' == 'name'){
        $('#recomnded').text('Product Name');
      }else if('<?php echo $this->getCurrentOrder(); ?>' == 'position'){
        $('#recomnded').text('Sort by Position');
      }
$('.toolbar-sorter .nav-tabs .dropdown-menu li a').click(function(){

     $('.sorter-options')
        .val($(this).attr('data-id'))
        .trigger('change');

        $('#sortbyid').html($(this).attr('data-label')+ ' <span class="caret"></span>');
  });
    });
</script>
